[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLScript.UseDollarString

Enable support for dollarstrings

## Declaration

Source position: sqldb.pp line 747

`published property TSQLScript.UseDollarString;`

## Description

UseDollarString enables support for so-called "DollarString" delimiters for string literals. This means that the normal string literal delimiter (') is enhanced with any sring appearing in the DollarStrings property.

Setting UseDollarString to true incurs a speed penalty, so it is better not to enable it unless it is really necessary.

This is needed for instance for PostGreSQL, where stored procedure code blocks are enclosed in "$$" signs, and are treated as a string literal.

## See also

TSQLScript.DollarStrings |  | List of alternate string delimiter token sequences